
#!/bin/bash

. .config.sh

# if not recovery, do nothing.
if [ "$HOME_RECOVERY_PATH" = "" ]; then
    exit
fi

#
# copy recovery files to read-only area ($HOME_RECOVERY_PATH)
#

echo "********** copy recovery file to $HOME_RECOVERY_PATH **********"

# If HOME_SYSTEM/USERFILES_PATH isn't defined (in config), define here. 
if [ -z "$HOME_SYSTEMFILES_PATH" ]; then
    HOME_SYSTEMFILES_PATH="home/hitachi"
fi
if [ -z "$HOME_USERFILES_PATH" ]; then
    HOME_USERFILES_PATH="home/user"
fi

cd $ROOT

if [ ! -d "$HOME_RECOVERY_PATH" ]; then
    mkdir -p $HOME_RECOVERY_PATH
fi

# ieNavi files
if [ -d "$HOME_SYSTEMFILES_PATH/ienavi" ]; then
    cp -a $HOME_SYSTEMFILES_PATH/ienavi $HOME_RECOVERY_PATH/.
    chown -R 100:100 $HOME_RECOVERY_PATH/ienavi
fi

# ieConfig files (except Date/Time)
if [ -d "$HOME_SYSTEMFILES_PATH/iecfg" ]; then
    cp -a $HOME_SYSTEMFILES_PATH/iecfg $HOME_RECOVERY_PATH/.
fi
# ieConfig files (power management)
if [ -d "$HOME_SYSTEMFILES_PATH/pm" ]; then
    cp -a $HOME_SYSTEMFILES_PATH/pm $HOME_RECOVERY_PATH/.
fi
# ieConfig files (quick button =  xbutton)
if [ -f "$HOME_USERFILES_PATH/.xbuttonrc" ]; then
    cp -a $HOME_USERFILES_PATH/.xbuttonrc $HOME_RECOVERY_PATH/.
    chown 100:100 $HOME_RECOVERY_PATH/.xbuttonrc
fi

# ieConfig files (Date/Time)
if [ ! -d "$HOME_RECOVERY_PATH/time" ]; then
    mkdir -p $HOME_RECOVERY_PATH/time
fi
for file in etc/adjtime etc/localtime etc/sysconfig/clock 
do
    if [ -f "$HOME_SYSTEMFILES_PATH/$file" ]; then
	cp -p $HOME_SYSTEMFILES_PATH/$file $HOME_RECOVERY_PATH/time/.
    fi
done

# Netscape 
if [ -d "$HOME_SYSTEMFILES_PATH/netscape" ]; then
    cp -a $HOME_SYSTEMFILES_PATH/netscape $HOME_RECOVERY_PATH/.
fi

# Sylpheed
if [ -d "$HOME_USERFILES_PATH/.sylpheed" ]; then
    cp -a $HOME_USERFILES_PATH/.sylpheed $HOME_RECOVERY_PATH/.
    chown -R 100:100 $HOME_RECOVERY_PATH/.sylpheed
fi

echo "********** copied recovery file to $HOME_RECOVERY_PATH **********"
